

#include "BUILTIN.h"
OBJ __ASubrel_2; /* < */
extern OBJ _ASubrel_3(OBJ);OBJ __ASubrel_3; /* <? */
OBJ __ASubrel_4; /* |= */
extern OBJ _ASubrel_5(OBJ);OBJ __ASubrel_5; /* |=? */
OBJ __ASubrel_6; /* = */
extern OBJ _ASubrel_7(OBJ);OBJ __ASubrel_7; /* =? */

extern OBJ _ASubrel_3(OBJ x1) /* <? */
{OBJ r;
 if(ISTGPRM(x1,2)){
  r=__ABUILTIN_5;
 }else{
  r=__ABUILTIN_3;}
 return r;}

extern OBJ _ASubrel_5(OBJ x1) /* |=? */
{OBJ r;
 if(ISTGPRM(x1,1)){
  r=__ABUILTIN_5;
 }else{
  r=__ABUILTIN_3;}
 return r;}

extern OBJ _ASubrel_7(OBJ x1) /* =? */
{OBJ r;
 if(ISTGPRM(x1,0)){
  r=__ABUILTIN_5;
 }else{
  r=__ABUILTIN_3;}
 return r;}




static OBJ _mt_1_0_1(OBJ t,OBJ t1) 
{OBJ r;
 DCCLS(t,1);
 r=(*(OBJ(*)(OBJ))ENTRY(t))(t1);
 return r;}
static OBJ _mt_1_0_1_l(OBJ t,OBJ t1) 
{OBJ r;
 DCCLS(t,1);
 r=(*(OBJ(*)(OBJ))ENTRY(t))(t1);
 COPY(r,1);LZYCLS(t,r);
 return r;}

init_ASubrel()
{
 static int visited=0; if(visited) return; visited=1;
 CLS(1,_ASubrel_7,__ASubrel_7);
 CLS(1,_ASubrel_5,__ASubrel_5);
 CLS(1,_ASubrel_3,__ASubrel_3);
 MTH(1,0,1,_mt_1_0_1);LZYMTH(1,0,1,_mt_1_0_1_l);
 PRM(2,__ASubrel_2);
 PRM(1,__ASubrel_4);
 PRM(0,__ASubrel_6);}

